Package org.eclipse.birt.chart.model.component

# Interface MarkerLine

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `MarkerLineImpl`

public interface MarkerLine extends IChartObject
A representation of the model object 'Marker Line'. This type defines a single line element. It is intended for use as a marker associated with an Axis. e.g. To denote a Target value

The following features are supported:

- invalid reference

      Attributes

- invalid reference

      Position

- invalid reference

      Associated Label

- invalid reference

      Label Position

See Also:
  - `ComponentPackage.getMarkerLine()`

## Method Summary

Modifier and Type
Method
Description
`MarkerLine`
`copyInstance()`
`Cursor`
`getCursor()`
Returns the value of the 'Cursor' containment reference.
`FormatSpecifier`
`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
`Label`
`getLabel()`
Returns the value of the 'Label' containment reference.
`Anchor`
`getLabelAnchor()`
Returns the value of the 'Label Anchor' attribute.
`LineAttributes`
`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`org.eclipse.emf.common.util.EList<Trigger>`
`getTriggers()`
Returns the value of the 'Triggers' containment reference list.
`DataElement`
`getValue()`
Returns the value of the 'Value' containment reference.
`boolean`
`isSetLabelAnchor()`
Returns whether the value of the '`Label Anchor`' attribute is set.
`void`
`setCursor(Cursor value)`
Sets the value of the '`Cursor`' containment reference.
`void`
`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.
`void`
`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.
`void`
`setLabelAnchor(Anchor value)`
Sets the value of the ' `Label Anchor`' attribute.
`void`
`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
`setValue(DataElement value)`
Sets the value of the '`Value`' containment reference.
`void`
`unsetLabelAnchor()`
Unsets the value of the ' `Label Anchor`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getLineAttributes

LineAttributes getLineAttributes()
Returns the value of the 'Line Attributes' containment reference. Specify the line properties.

Returns:
  the value of the 'Line Attributes' containment reference.
See Also:
  - `setLineAttributes(LineAttributes)`
  - `ComponentPackage.getMarkerLine_LineAttributes()`

### setLineAttributes

void setLineAttributes(LineAttributes value)
Sets the value of the '`Line Attributes`' containment reference.

Parameters:
  `value` - the new value of the 'Line Attributes' containment reference.
See Also:
  - `getLineAttributes()`

### getValue

DataElement getValue()
Returns the value of the 'Value' containment reference. Defines where this line is to be positioned w.r.t the axis. (Can be a value on the axis or a category name).

Returns:
  the value of the 'Value' containment reference.
See Also:
  - `setValue(DataElement)`
  - `ComponentPackage.getMarkerLine_Value()`

### setValue

void setValue(DataElement value)
Sets the value of the '`Value`' containment reference.

Parameters:
  `value` - the new value of the 'Value' containment reference.
See Also:
  - `getValue()`

### getLabel

Label getLabel()
Returns the value of the 'Label' containment reference. Specifies the label associated with this line.

Returns:
  the value of the 'Label' containment reference.
See Also:
  - `setLabel(Label)`
  - `ComponentPackage.getMarkerLine_Label()`

### setLabel

void setLabel(Label value)
Sets the value of the '`Label`' containment reference.

Parameters:
  `value` - the new value of the 'Label' containment reference.
See Also:
  - `getLabel()`

### getLabelAnchor

Anchor getLabelAnchor()
Returns the value of the 'Label Anchor' attribute. The default value is `"North"`. The literals are from the enumeration `Anchor`. Specifies where the label associated with this line is to be positioned with respect to the line itself.

Returns:
  the value of the 'Label Anchor' attribute.
See Also:
  - `Anchor`
  - `isSetLabelAnchor()`
  - `unsetLabelAnchor()`
  - `setLabelAnchor(Anchor)`
  - `ComponentPackage.getMarkerLine_LabelAnchor()`

### setLabelAnchor

void setLabelAnchor(Anchor value)
Sets the value of the ' `Label Anchor`' attribute.

Parameters:
  `value` - the new value of the 'Label Anchor' attribute.
See Also:
  - `Anchor`
  - `isSetLabelAnchor()`
  - `unsetLabelAnchor()`
  - `getLabelAnchor()`

### unsetLabelAnchor

void unsetLabelAnchor()
Unsets the value of the ' `Label Anchor`' attribute.

See Also:
  - `isSetLabelAnchor()`
  - `getLabelAnchor()`
  - `setLabelAnchor(Anchor)`

### isSetLabelAnchor

boolean isSetLabelAnchor()
Returns whether the value of the '`Label Anchor`' attribute is set.

Returns:
  whether the value of the 'Label Anchor' attribute is set.
See Also:
  - `unsetLabelAnchor()`
  - `getLabelAnchor()`
  - `setLabelAnchor(Anchor)`

### getFormatSpecifier

FormatSpecifier getFormatSpecifier()
Returns the value of the 'Format Specifier' containment reference. Specifies the formatting for marker line labels.

Returns:
  the value of the 'Format Specifier' containment reference.
See Also:
  - `setFormatSpecifier(FormatSpecifier)`
  - `ComponentPackage.getMarkerLine_FormatSpecifier()`

### setFormatSpecifier

void setFormatSpecifier(FormatSpecifier value)
Sets the value of the '`Format Specifier`' containment reference.

Parameters:
  `value` - the new value of the 'Format Specifier' containment reference.
See Also:
  - `getFormatSpecifier()`

### getTriggers

org.eclipse.emf.common.util.EList<Trigger> getTriggers()
Returns the value of the 'Triggers' containment reference list. The list contents are of type `Trigger`. Holds the triggers for the marker line.

Returns:
  the value of the 'Triggers' containment reference list.
See Also:
  - `ComponentPackage.getMarkerLine_Triggers()`

### getCursor

Cursor getCursor()
Returns the value of the 'Cursor' containment reference. The element represents a cursor for marker line.

Returns:
  the value of the 'Cursor' containment reference.
See Also:
  - `setCursor(Cursor)`
  - `ComponentPackage.getMarkerLine_Cursor()`

### setCursor

void setCursor(Cursor value)
Sets the value of the '`Cursor`' containment reference.

Parameters:
  `value` - the new value of the 'Cursor' containment reference.
See Also:
  - `getCursor()`

### copyInstance

MarkerLine copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`